import wmsRequest from '@/utils/wms-request'
import request from '@/utils/request'



export function getDrawMat(data) {
	return wmsRequest({
		url: '/produce/draw/task/getDrawMat',
		method: 'post',
		data: data
	})
}

export function addConversion(data) {
	return request({
		url: '/mes/conversion',
		method: 'post',
		data: data
	})
}

// 查询生产工单列表
export function listPwo(query) {
	return request({
		url: '/mes/pwo/list',
		method: 'get',
		params: query
	})
}

// 查询生产工单详细
export function getPwo(id) {
	return request({
		url: '/mes/pwo/' + id,
		method: 'get'
	})
}

// 查询生产订单列表
export function listPo(query) {
	return request({
		url: '/mes/po/list',
		method: 'get',
		params: query
	})
}

// 查询作业报工列表
export function listReport(query) {
	return request({
		url: '/mes/report/list',
		method: 'get',
		params: query
	})
}

//工单入库
export function handleIn(id, whCode, stockWhList) {
	return request({
		url: '/mes/pwo/warehouseInGet/' + id + '/' + whCode,
		method: 'post',
		data: stockWhList
	})
}

//工单关闭
export function pwoAtificialClose(data) {
	return request({
		url: '/mes/pwo/pwoAtificialClose',
		method: 'post',
		data: data
	})
}


// 查询报工率
export function reportRate(query) {
	return request({
		url: '/report/mes/pwo/reportRate',
		method: 'get',
		params: query
	})
}

export function listCirculateBalance(data) {
	return request({
		url: '/mes/pwoJob/listCirculateBalance',
		method: 'get',
		params: data
	})
}

export function listSimpleCirculateBalance(data) {
	return request({
		url: '/mes/pwoJob/listSimpleCirculateBalance',
		method: 'get',
		params: data
	})
}